From 9468832e402e46c1a574cdeeadaa6b7ae275198c Mon Sep 17 00:00:00 2001
From: Mario Martelli <cocoa@schnuddelhuddel.de>
Date: Sat, 1 Jul 2017 21:13:54 +0200
Subject: [PATCH 3/3] org.texi: Minor changes and added index to org-protocol

* doc/org.texi Minor changes and added index to org-protocol
---
 doc/org.texi | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

diff --git a/doc/org.texi b/doc/org.texi
index 93c9d4167..7add60d5c 100644
--- a/doc/org.texi
+++ b/doc/org.texi
@@ -7528,26 +7528,31 @@ Org protocol comes with three predefined handlers:
 @table @asis
 @item @code{org-protocol-store-link}
 	Triggered through the sub-protocol @code{store-link}.  Store a
-link and push the URL to the kill-ring.
+        link and push the URL to the kill-ring.
 @item @code{org-protocol-capture}
-	Fill a @code{capture} buffer with information gathered somewhere
-else.  This handler is triggered through the @code{capture} sub-protocol and
-uses the function @code{org-capture}.
+	Triggered through the sub-protocol @code{capture}.  Fill a buffer
+        with information gathered somewhere else.
 @item @code{org-protocol-open-source}
-	@code{open-source}.  Map a URL to local filename.  Use this to open
-sources of already published contents in Emacs for editing.
+	Triggered through the sub-protoicol @code{open-source}.  Map a URL to
+	local filename.  Use this to open sources of already published
+	contents in Emacs for editing.
 @end table
 
 @node Setting up Org protocol
 @subsection Setting up Org protocol
+@cindex Org protocol, set-up
+@cindex Installing Org protocol
+
 You need to set up a custom URL handler on your system to trigger Emacs by a
 URL.  This URL handler could be already installed by Emacs.  Please consult the
 handbook of your operating system how to install a custom URL handler if you
 need to.
 
+@vindex org-protocol-project-alist
 To map a website with @code{open-source} to local files you have to set up
 the mapping in @code{org-protocol-project-alist}.
 
+@vindex org-protocol-project-alist
 For example, in order to open files published on Worg locally, you can set
 @code{org-protocol-project-alist} to the following
 
@@ -7560,15 +7565,22 @@ For example, in order to open files published on Worg locally, you can set
 	 :working-suffix ".org")))
 @end lisp
 
+@vindex org-protocol-project-alist
+@findex org-protocol-create
+@findex org-protocol-create-for-org
 Two functions can help you fill @code{org-protocol-project-alist} with valid
-contents: @code{org-protocol-create} and @code{org-publish-project-alist}.  The
+contents: @code{org-protocol-create} and @code{org-protocol-create-for-org}.  The
 latter is of use if you're editing an Org file that is part of a
 publishing project.
 
 @node Using Org protocol
 @subsection Using Org protocol
+@cindex Org protocol, using
+@cindex Using Org protocol
+
+
 Org protocol is triggered by @file{emacsclient}. If you want to use Org
-protocol, there are many possibilities to do so.  You can invoke emacsclient
+protocol, there are many possibilities to do so.  You can invoke @file{emacsclient}
 by a shortcut on your desktop for example. Or by adding a bookmark to your browser.
 
 Here is the URL to use as @emph{Location} for browser bookmarks.  Just remove the
@@ -7592,7 +7604,7 @@ e.g. @code{store-link} uses the URL and title only.
       The sub-protocol used is @code{store-link}:
 
 @example
-emacsclient org-protocol://store-link?url=URL&title=TITLE
+@file{emacsclient} org-protocol://store-link?url=URL&title=TITLE
 @end example
 
 will store the following link:
-- 
2.11.0 (Apple Git-81)

